#include <iostream>

#include "CommandlineOptions.hh"
#include "Options.hh"
#include "ConfData.hh"

#include "Symmetry.hh"
#include "PointConfiguration.hh"

int main (const int argc, const char** argv) {
  using namespace topcom;

  CommandlineOptions::init(argc, argv);
  MessageStreams::forced() << std::endl;
  MessageStreams::forced() << "------------------------------------------------------------------\n";
  MessageStreams::forced() << " computing a Gale transformation of a point configuration \n";
  MessageStreams::forced() << " TOPCOM client: " << CommandlineOptions::client() << '\n';
  MessageStreams::forced() << "------------------------------------------------------------------\n";
  MessageStreams::forced() << std::endl;
  
  Options options(Options::SHOW_INPUT_ONLY);
  ConfData confdata(options);
  confdata.read_input(std::cin);
  
  MessageStreams::result() << confdata.points().gale() << std::endl;
  confdata.symmetries().write_sorted_generators(MessageStreams::result());
  MessageStreams::result() << std::endl;
  confdata.required_symmetries().write_sorted_generators(MessageStreams::result());
  MessageStreams::result() << std::endl;
  return 0;
}

// eof points2gale.cc
